Bug 24331 - Update request: kernel-4.14.100-1.mga6
Summary: Update request: kernel-4.14.100-1.mga6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-32-OK MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-02-09 15:48 CET by Thomas Backlund
Modified: 2019-02-21 00:52 CET (History)
10 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments

Description Thomas Backlund 2019-02-09 15:48:12 CET
Updated kernels, advisory will follow...

SRPMS:
kernel-4.14.98-1.mga6.src.rpm
kernel-userspace-headers-4.14.98-1.mga6.src.rpm

kmod-vboxadditions-5.2.24-2.mga6.src.rpm
kmod-virtualbox-5.2.24-2.mga6.src.rpm
kmod-xtables-addons-2.13-76.mga6.src.rpm

wireguard-tools-0.0.20190123-1.mga6.src.rpm



i586:
cpupower-4.14.98-1.mga6.i586.rpm
cpupower-devel-4.14.98-1.mga6.i586.rpm
kernel-desktop-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.98-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.98-1.mga6.i586.rpm
kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.98-1.mga6.i586.rpm
kernel-desktop-latest-4.14.98-1.mga6.i586.rpm
kernel-doc-4.14.98-1.mga6.noarch.rpm
kernel-server-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.98-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.98-1.mga6.i586.rpm
kernel-server-latest-4.14.98-1.mga6.i586.rpm
kernel-source-4.14.98-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.98-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.98-1.mga6.i586.rpm
perf-4.14.98-1.mga6.i586.rpm

vboxadditions-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.i586.rpm
vboxadditions-kernel-4.14.98-desktop586-1.mga6-5.2.24-2.mga6.i586.rpm
vboxadditions-kernel-4.14.98-server-1.mga6-5.2.24-2.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.24-2.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.24-2.mga6.i586.rpm

virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.i586.rpm
virtualbox-kernel-4.14.98-desktop586-1.mga6-5.2.24-2.mga6.i586.rpm
virtualbox-kernel-4.14.98-server-1.mga6-5.2.24-2.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.24-2.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.24-2.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.24-2.mga6.i586.rpm

xtables-addons-kernel-4.14.98-desktop-1.mga6-2.13-76.mga6.i586.rpm
xtables-addons-kernel-4.14.98-desktop586-1.mga6-2.13-76.mga6.i586.rpm
xtables-addons-kernel-4.14.98-server-1.mga6-2.13-76.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-76.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-76.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-76.mga6.i586.rpm

wireguard-tools-0.0.20190123-1.mga6.i586.rpm



x86_64:
cpupower-4.14.98-1.mga6.x86_64.rpm
cpupower-devel-4.14.98-1.mga6.x86_64.rpm
kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.98-1.mga6.x86_64.rpm
kernel-doc-4.14.98-1.mga6.noarch.rpm
kernel-server-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.98-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.98-1.mga6.x86_64.rpm
kernel-server-latest-4.14.98-1.mga6.x86_64.rpm
kernel-source-4.14.98-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.98-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.98-1.mga6.x86_64.rpm
perf-4.14.98-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64.rpm
vboxadditions-kernel-4.14.98-server-1.mga6-5.2.24-2.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.24-2.mga6.x86_64.rpm

virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64.rpm
virtualbox-kernel-4.14.98-server-1.mga6-5.2.24-2.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.24-2.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.24-2.mga6.x86_64.rpm

xtables-addons-kernel-4.14.98-desktop-1.mga6-2.13-76.mga6.x86_64.rpm
xtables-addons-kernel-4.14.98-server-1.mga6-2.13-76.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-76.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-76.mga6.x86_64.rpm

wireguard-tools-0.0.20190123-1.mga6.x86_64.rpm
Comment 1 Len Lawrence 2019-02-09 19:04:22 CET
mga6, x86_64

Removed kernel 4.18.20 and installed 4.14.98.  
Rebooted and rebuilt the nvidia proprietary graphics driver module.
nvidia 390.87 installed.

Mate desktop working normally.  stress tests completed.

Leaving it to run.

CC: (none) => tarazed25

Comment 2 James Kerr 2019-02-10 17:02:56 CET
on mga6-64  kernel-desktop  plasma

packages installed cleanly:
- cpupower-4.14.98-1.mga6.x86_64
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64
- kernel-desktop-latest-4.14.98-1.mga6.x86_64
- kernel-userspace-headers-4.14.98-1.mga6.x86_64
- virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-2.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.98-desktop-1.mga6

# dkms status
virtualbox, 5.2.24-1.mga6, 4.14.98-desktop-1.mga6, x86_64: installed 
virtualbox, 5.2.24-1.mga6, 4.14.98-desktop-1.mga6, x86_64: installed-binary from 4.14.98-desktop-1.mga6

vbox and clients launched normally
Updated to kernel-desktop-4.14.98-1 on mga6-64 (plasma) and mga6-32 (plasma) clients - both relaunched normally.
winxp and win7 vbox clients re-launched normally

no regressions noted

OK for mga6-64 on this system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.11.0 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530

CC: (none) => jim

Comment 3 James Kerr 2019-02-10 19:15:39 CET
On mga6-32   kernel-server  xfce

packages installed cleanly:
- cpupower-4.14.98-1.mga6.i586
- kernel-server-4.14.98-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.98-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.98-1.mga6.i586
- kernel-server-latest-4.14.98-1.mga6.i586
- kernel-userspace-headers-4.14.98-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.98-server-1.mga6
# dkms status
nvidia-current, 390.87-1.mga6.nonfree, 4.14.98-server-1.mga6, i586: installed 

no regressions noted

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
Comment 4 Thomas Andrews 2019-02-11 03:09:05 CET
On real hardware, Intel Core 2 Duo, 8GB RAM, Intel graphics, wired Internet.

32-bit Xfce system, as installed from the 6.1 Live iso, and updated, using the desktop586 kernel:

Packages installed cleanly. Tried the usual apps, no problems noted.

Then installed kernel-desktop-latest 4.14.98-1. Packages once again installed cleanly. Rebooted to a working desktop, and again tried the usual apps. No problems noted. Using it to make this comment.

CC: (none) => andrewsfarm

Comment 5 Len Lawrence 2019-02-11 07:35:15 CET
Desktop kernel installation on four x86_64 Intel/nvidia machines:

core i7 4790
nvidia GTX970 : 390.87

core i7 3630QM
nvidia GT650M : 390.87

core i7 5700HQ
nvidia GTX965M : 390.87

core i7 2600
nvidia GTX 555 : 390.87

Establishing the correct nvidia graphics driver was difficult in all these cases; a later kernel (backport) needed to be removed and drakx11 run after reboot - entailing another reboot.
All rebooted to Mate under nvidia-current.  NFS shares mounted OK.  In these latest kernels there are always a couple of popups after login requiring the root password to enable networking and set rfkill state.

So far the Mate desktop is running fine and stress tests complete OK.  In good shape for installing the linus kernel.
Comment 6 Len Lawrence 2019-02-11 07:51:05 CET
Re comment 5.  The GTX965 laptop is not suspending when the lid is closed.  The screen blanks but still has backlighting and the display resumes immediately when the lid is opened.  Might be a regression.

Need to check the other laptop.
Comment 7 Len Lawrence 2019-02-11 08:04:42 CET
Re comment 6;
Shut the lid in the middle of writing this on the Ideapad Y500 GT650M machine and  it suspended OK and resumed on reopening.  Settings are very similar.
Hardware sensitive regression?
Comment 8 Len Lawrence 2019-02-11 08:53:27 CET
It gets worse.  The Asus X51 - GTX965M - now refuses to shutdown or suspend from the logout menu.  Logged back in and tried 'shutdown now'.  The request was refused - "There is already a shutdown or sleep operation in progress".
The only recourse is to lean on the power button.
Comment 9 James Kerr 2019-02-11 12:00:10 CET
on mga6-64  kernel-desktop xfce

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

packages installed cleanly:
- cpupower-4.14.98-1.mga6.x86_64
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64
- kernel-desktop-latest-4.14.98-1.mga6.x86_64
- kernel-userspace-headers-4.14.98-1.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.98-desktop-1.mga6
# dkms status
nvidia-current, 390.87-1.mga6.nonfree, 4.14.98-desktop-1.mga6, x86_64: installed

No regressions seen

OK for mga6-64 on this system
Comment 10 Herman Viaene 2019-02-11 13:57:27 CET
MGA6-32 MATE on IBM Thinkpad R50e
No installation issues 
Ethernet internet connection OK.
Tested doc, xls, odt, jpg, tiff, wav, avi, mpeg files all OK
Access to NFS shares OK
Video and images from newspaper site idem.
Only snag seen (heard) is that mp3 files (converted from wav files in previous tests) do not play fluently, sound stutters terribly. This is a slow laptop, but I've never noticed this before.
All in all no objections.

CC: (none) => herman.viaene

Comment 11 James Kerr 2019-02-11 15:51:06 CET
on mga6-64  plasma 

Machine:   Device: desktop System: Hewlett-Packard product: CQ2925EA v: 1.00
           Mobo: PEGATRON model: 2AE2 v: 1.02 UEFI: AMI v: 8.08
CPU:       Dual core Intel Pentium G645T (-MCP-)
Graphics:  Card: Intel 2nd Generation Core Processor Family 

packages installed cleanly:
- cpupower-4.14.98-1.mga6.x86_64
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.98-1.mga6.x86_64
 
system rebooted normally:
$ uname -r
4.14.98-desktop-1.mga6

no regressions noted

OK for mga64 on this system
Comment 12 PC LX 2019-02-11 22:13:45 CET
Installed and tested without issue.

Two days on normal workstation usage plus some extra tests. No regressions noticed.

System: Mageia 6, x86_64, Plasma DE, LXQt, Intel(R) Core(TM)2 Quad CPU Q9400  @ 2.66GHz, nVidia Geforce 210 GPU using nvidia340 proprietary driver.

OK for x86_64 on this system.


$ uname -a
Linux marte 4.14.98-desktop-1.mga6 #1 SMP Fri Feb 8 13:53:44 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ journalctl -b-2 | grep -o install.*success | sort -u
install cpupower-4.14.98-1.mga6.x86_64: success
install kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64: success
install kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.x86_64: success
install kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64: success
install kernel-desktop-latest-4.14.98-1.mga6.x86_64: success
install kernel-userspace-headers-4.14.98-1.mga6.x86_64: success
install perf-4.14.98-1.mga6.x86_64: success
install virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64: success
install virtualbox-kernel-desktop-latest-5.2.24-2.mga6.x86_64: success
$ cat /proc/cpuinfo | grep -i "model name" | uniq 
model name      : Intel(R) Core(TM)2 Quad CPU    Q9400  @ 2.66GHz
$ cat /proc/driver/nvidia/version 
NVRM version: NVIDIA UNIX x86_64 Kernel Module  340.106  Tue Jan  9 15:10:23 PST 2018
GCC version:  gcc version 5.5.0 (Mageia 5.5.0-1.mga6) 
$ lspcidrake 
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 3 [BRIDGE_PCI]
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #1 [SERIAL_USB]
ehci_pci        : Intel Corporation|82801JI (ICH10 Family) USB2 EHCI Controller #2 [SERIAL_USB]
snd_hda_intel   : NVIDIA Corporation|High Definition Audio Controller [MULTIMEDIA_AUDIO_DEV] (rev: a1)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #1 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #4 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #3 [SERIAL_USB]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #6 [SERIAL_USB]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Port 2 [BRIDGE_PCI]
unknown         : Intel Corporation|4 Series Chipset DRAM Controller [BRIDGE_HOST] (rev: 03)
i2c_i801        : Intel Corporation|82801JI (ICH10 Family) SMBus Controller [SERIAL_SMBUS]
unknown         : Intel Corporation|82801 PCI Bridge [BRIDGE_PCI] (rev: 90)
snd_hda_intel   : Intel Corporation|82801JI (ICH10 Family) HD Audio Controller [MULTIMEDIA_AUDIO_DEV]
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #2 [SERIAL_USB]
shpchp          : Intel Corporation|4 Series Chipset PCI Express Root Port [BRIDGE_PCI] (rev: 03)
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [NETWORK_ETHERNET] (rev: 02)
lpc_ich         : Intel Corporation|82801JIB (ICH10) LPC Interface Controller [BRIDGE_ISA]
uhci_hcd        : Intel Corporation|82801JI (ICH10 Family) USB UHCI Controller #5 [SERIAL_USB]
shpchp          : Intel Corporation|82801JI (ICH10 Family) PCI Express Root Port 1 [BRIDGE_PCI]
unknown         : Intel Corporation|82801JI (ICH10 Family) SATA AHCI Controller [STORAGE_SATA]
pata_jmicron    : JMicron Technology Corp.|JMB368 IDE controller [STORAGE_IDE]
hub             : Linux 4.14.98-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Generic|Mass Storage Device [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 4.14.98-desktop-1.mga6 ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Genesys Logic, Inc.|USB2.0 Hub [Hub|Unused|Full speed (or root) hub]
usbhid          : Sunplus Technology Co., Ltd|USB Laser Wheel Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
Mouse:evdev     : Logitech|USB Receiver [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 4.14.98-desktop-1.mga6 uhci_hcd|UHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_logitech    : Logitech USB Receiver
hid_logitech    : Logitech USB Receiver
hid_generic     : USB Laser Wheel Mouse

CC: (none) => mageia

Comment 13 Thomas Andrews 2019-02-12 02:18:48 CET
Real hardware, Athlon X2 7750, 8GB RAM, nvidia 9800GT graphics (nvidia340 driver), Atheros wifi, 64-bit Plasma system, using the server kernel.

Packages installed cleanly. nvidia340 module built during the reboot, reboot went without incident. Tried all the usual apps, no regressions noted.

Looks OK on this hardware.
Comment 14 William Kenney 2019-02-12 18:20:25 CET
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 14:56:00 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.i586 is already installed


Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 5 packages are going to be installed:

- cpupower-4.14.98-1.mga6.i586
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.98-1.mga6.i586
- vboxadditions-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.i586

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.98-desktop-1.mga6 #1 SMP Fri Feb 8 13:35:06 UTC 2019 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.98-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.98-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

CC: (none) => wilcal.int

Comment 15 William Kenney 2019-02-12 18:21:00 CET
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 13:14:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 5 packages are going to be installed:

- cpupower-4.14.98-1.mga6.x86_64
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.98-1.mga6.x86_64
- vboxadditions-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.x86_64

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.98-desktop-1.mga6 #1 SMP Fri Feb 8 13:53:44 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.98-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.98-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 16 William Kenney 2019-02-12 20:51:36 CET
On real hardware, M6.1, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current cpupower

The following 10 packages are going to be installed:

- dkms-virtualbox-5.2.24-1.mga6.noarch
- vboxadditions-kernel-4.14.89-desktop-1.mga6-5.2.24-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64
- virtualbox-5.2.24-1.mga6.x86_64
- virtualbox-doc-5.2.24-1.mga6.noarch
- virtualbox-guest-additions-5.2.24-1.mga6.x86_64
- virtualbox-kernel-4.14.89-desktop-1.mga6-5.2.24-1.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-1.mga6.x86_64
- x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64
- xrandr-1.5.0-1.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 13:14:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.24-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.87-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using: Mageia-7-beta2-Live-Xfce-i586.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current cpupower

The following 9 packages are going to be installed:

- cpupower-4.14.98-1.mga6.x86_64
- kernel-desktop-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.98-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64
- kernel-desktop-latest-4.14.98-1.mga6.x86_64
- vboxadditions-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.x86_64
- virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-2.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.98-desktop-1.mga6 #1 SMP Fri Feb 8 13:53:44 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.98-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.24-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.24-2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.98-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.87-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower                                                                                                                
Package cpupower-4.14.98-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-7-beta2-Live-Xfce-i586.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6.1-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-7-beta2-x86_64.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Comment 17 Len Lawrence 2019-02-12 21:57:03 CET
Intel Core i9-7900X
NVIDIA GTX 1080 Ti

To get everything to work the later backport kernel had to be removed which was a bit hairy because it was the running kernel.

After update Mate was working but drakx11 was needed to rebuild the graphics driver kmod.  All OK after reboot; nvidia 390.87.
All 20 cores active when needed.  stress tests ran fine.

Kstars, Celestia and Stellarium all running at the same time, fullscreen in separate workspaces although once Stellarium was up the panel was no longer available.  It seems pretty robust.

NFS shares mounted from fstab.  LO writer works - printed to wifi HP printer.
SSH login over the LAN OK.  vlc playing a video from remote machine, sound OK.
Comment 18 ben mcmonagle 2019-02-13 07:55:04 CET
Mga6 on real 32bit hardware desktop(lxde/lxqt DE system)

uname -r
4.14.89-desktop-1.mga6

$ lscpu
Architecture:          i686
CPU op-mode(s):        32-bit

AMD Athlon(tm) XP 2400+

Flags:                 fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
                       mca cmov pat pse36 mmx fxsr sse syscall mmxext 3dnowext 
                       3dnow cpuid 3dnowprefetch vmmcall

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       4.14.98      1.mga6        i586    
  kernel-desktop-4.14.98-1.mga6  1            1.mga6        i586    
  kernel-desktop-latest          4.14.98      1.mga6        i586    
  kernel-userspace-headers       4.14.98      1.mga6        i586    
  wireguard-tools                0.0.20190123 1.mga6        i586 
   
57MB of additional disk space will be used.
53MB of packages will be retrieved.
Proceed with the installation of the 5 packages? (Y/n) y

reboot

uname -r
4.14.98-desktop-1.mga6

Firefox -ok
USB thumbdrive detected and pcmanfm popup
VLC playback of .mkv from USB ok, Audio and Video -ok

CC: (none) => westel

Comment 19 Thomas Backlund 2019-02-13 18:39:36 CET
Putting theese on hold, turns out there is atleast one regression being reverted upstream ...

Keywords: (none) => feedback

Comment 20 Morgan Leijström 2019-02-14 08:55:11 CET
OK, was right about to report it looks OK here for a couple days usage.
Looking forward to next version.

Thank  you for all the work you put into Mageia ! :)

CC: (none) => fri

Comment 21 Thomas Backlund 2019-02-15 13:05:43 CET
OK, new set is out:

SRPMS:
kernel-4.14.100-1.mga6.src.rpm
kernel-userspace-headers-4.14.100-1.mga6.src.rpm

kmod-vboxadditions-5.2.24-4.mga6.src.rpm
kmod-virtualbox-5.2.24-4.mga6.src.rpm
kmod-xtables-addons-2.13-78.mga6.src.rpm

ndiswrapper-1.62-1.mga6.src.rpm
wireguard-tools-0.0.20190123-1.mga6.src.rpm



i586:
cpupower-4.14.100-1.mga6.i586.rpm
cpupower-devel-4.14.100-1.mga6.i586.rpm
kernel-desktop-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-desktop586-devel-latest-4.14.100-1.mga6.i586.rpm
kernel-desktop586-latest-4.14.100-1.mga6.i586.rpm
kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-desktop-devel-latest-4.14.100-1.mga6.i586.rpm
kernel-desktop-latest-4.14.100-1.mga6.i586.rpm
kernel-doc-4.14.100-1.mga6.noarch.rpm
kernel-server-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-4.14.100-1.mga6-1-1.mga6.i586.rpm
kernel-server-devel-latest-4.14.100-1.mga6.i586.rpm
kernel-server-latest-4.14.100-1.mga6.i586.rpm
kernel-source-4.14.100-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.100-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.100-1.mga6.i586.rpm
perf-4.14.100-1.mga6.i586.rpm

vboxadditions-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.i586.rpm
vboxadditions-kernel-4.14.100-desktop586-1.mga6-5.2.24-4.mga6.i586.rpm
vboxadditions-kernel-4.14.100-server-1.mga6-5.2.24-4.mga6.i586.rpm
vboxadditions-kernel-desktop586-latest-5.2.24-4.mga6.i586.rpm
vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.i586.rpm
vboxadditions-kernel-server-latest-5.2.24-4.mga6.i586.rpm

virtualbox-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.i586.rpm
virtualbox-kernel-4.14.100-desktop586-1.mga6-5.2.24-4.mga6.i586.rpm
virtualbox-kernel-4.14.100-server-1.mga6-5.2.24-4.mga6.i586.rpm
virtualbox-kernel-desktop586-latest-5.2.24-4.mga6.i586.rpm
virtualbox-kernel-desktop-latest-5.2.24-4.mga6.i586.rpm
virtualbox-kernel-server-latest-5.2.24-4.mga6.i586.rpm

xtables-addons-kernel-4.14.100-desktop-1.mga6-2.13-78.mga6.i586.rpm
xtables-addons-kernel-4.14.100-desktop586-1.mga6-2.13-78.mga6.i586.rpm
xtables-addons-kernel-4.14.100-server-1.mga6-2.13-78.mga6.i586.rpm
xtables-addons-kernel-desktop586-latest-2.13-78.mga6.i586.rpm
xtables-addons-kernel-desktop-latest-2.13-78.mga6.i586.rpm
xtables-addons-kernel-server-latest-2.13-78.mga6.i586.rpm

dkms-ndiswrapper-1.62-1.mga6.noarch.rpm
ndiswrapper-1.62-1.mga6.i586.rpm

wireguard-tools-0.0.20190123-1.mga6.i586.rpm



x86_64:
cpupower-4.14.100-1.mga6.x86_64.rpm
cpupower-devel-4.14.100-1.mga6.x86_64.rpm
kernel-desktop-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-desktop-devel-latest-4.14.100-1.mga6.x86_64.rpm
kernel-desktop-latest-4.14.100-1.mga6.x86_64.rpm
kernel-doc-4.14.100-1.mga6.noarch.rpm
kernel-server-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-4.14.100-1.mga6-1-1.mga6.x86_64.rpm
kernel-server-devel-latest-4.14.100-1.mga6.x86_64.rpm
kernel-server-latest-4.14.100-1.mga6.x86_64.rpm
kernel-source-4.14.100-1.mga6-1-1.mga6.noarch.rpm
kernel-source-latest-4.14.100-1.mga6.noarch.rpm
kernel-userspace-headers-4.14.100-1.mga6.x86_64.rpm
perf-4.14.100-1.mga6.x86_64.rpm

vboxadditions-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.x86_64.rpm
vboxadditions-kernel-4.14.100-server-1.mga6-5.2.24-4.mga6.x86_64.rpm
vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.x86_64.rpm
vboxadditions-kernel-server-latest-5.2.24-4.mga6.x86_64.rpm

virtualbox-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.x86_64.rpm
virtualbox-kernel-4.14.100-server-1.mga6-5.2.24-4.mga6.x86_64.rpm
virtualbox-kernel-desktop-latest-5.2.24-4.mga6.x86_64.rpm
virtualbox-kernel-server-latest-5.2.24-4.mga6.x86_64.rpm

xtables-addons-kernel-4.14.100-desktop-1.mga6-2.13-78.mga6.x86_64.rpm
xtables-addons-kernel-4.14.100-server-1.mga6-2.13-78.mga6.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.13-78.mga6.x86_64.rpm
xtables-addons-kernel-server-latest-2.13-78.mga6.x86_64.rpm

dkms-ndiswrapper-1.62-1.mga6.noarch.rpm
ndiswrapper-1.62-1.mga6.x86_64.rpm

wireguard-tools-0.0.20190123-1.mga6.x86_64.rpm

Keywords: feedback => (none)
Summary: Update request: kernel-4.14.98-1.mga6 => Update request: kernel-4.14.100-1.mga6

Comment 22 William Kenney 2019-02-15 22:13:08 CET
In a Vbox client, M6, Mate, 32-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 14:56:00 UTC 2018 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.i586 is already installed


Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

The following 5 packages are going to be installed:

- cpupower-4.14.100-1.mga6.i586
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.100-1.mga6.i586
- vboxadditions-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.i586
- vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.i586

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 08:58:09 UTC 2019 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.100-1.mga6.i586 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.i586 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.100-1.mga6.i586 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 23 William Kenney 2019-02-15 22:13:25 CET
In a Vbox client, M6, Mate, 64-bit

Testing: kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 13:14:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.

Install kernel-desktop-latest vboxadditions-kernel-desktop-latest cpupower from updates testing

Reboot system.

[root@localhost wilcal]# uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 09:29:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.100-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.100-1.mga6.x86_64 is already installed

Boots to a working desktop. Screen resolution is correct. Common apps work.
Comment 24 Thomas Andrews 2019-02-15 22:36:30 CET
Same hardware and system as Comment 13.

Started by booting into kernel-server 4.14.89, and removed all other now-unused kernels. Then ran "update-grub" just in case.

Used qarepo to download the listed packages, then updated. Rebooted to a working desktop, nvidia340 driver module built somewhere along the way. Tried a number of common apps, no regressions noted.

Looks OK here.
Comment 25 William Kenney 2019-02-16 00:39:17 CET
On real hardware, M6.1, Plasma, 64-bit

initial install:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current cpupower

The following 10 packages are going to be installed:

- dkms-virtualbox-5.2.24-1.mga6.noarch
- vboxadditions-kernel-4.14.89-desktop-1.mga6-5.2.24-1.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64
- virtualbox-5.2.24-1.mga6.x86_64
- virtualbox-doc-5.2.24-1.mga6.noarch
- virtualbox-guest-additions-5.2.24-1.mga6.x86_64
- virtualbox-kernel-4.14.89-desktop-1.mga6-5.2.24-1.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-1.mga6.x86_64
- x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64
- xrandr-1.5.0-1.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.89-desktop-1.mga6 #1 SMP Mon Dec 17 13:14:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.24-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.87-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.89-1.mga6.x86_64 is already installed
[root@localhost wilcal]# lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Using: Mageia-7-beta2-Live-Xfce-i586.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

install from update_testing:
kernel-desktop-latest
virtualbox vboxadditions-kernel-desktop-latest dkms-virtualbox
virtualbox-guest-additions virtualbox-kernel-desktop-latest x11-driver-video-vboxvideo
kernel-desktop-devel-latest dkms-nvidia-current cpupower

The following 9 packages are going to be installed:

- cpupower-4.14.100-1.mga6.x86_64
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.100-1.mga6.x86_64
- kernel-desktop-latest-4.14.100-1.mga6.x86_64
- vboxadditions-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.x86_64
- vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.x86_64
- virtualbox-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-4.mga6.x86_64

[root@localhost wilcal]# uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 09:29:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi kernel-desktop-latest
Package kernel-desktop-latest-4.14.100-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox
Package virtualbox-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi vboxadditions-kernel-desktop-latest
Package vboxadditions-kernel-desktop-latest-5.2.24-4.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-virtualbox
Package dkms-virtualbox-5.2.24-1.mga6.noarch is already installed
[root@localhost wilcal]# urpmi virtualbox-guest-additions
Package virtualbox-guest-additions-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi virtualbox-kernel-desktop-latest
Package virtualbox-kernel-desktop-latest-5.2.24-4.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi x11-driver-video-vboxvideo
Package x11-driver-video-vboxvideo-5.2.24-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi kernel-desktop-devel-latest
Package kernel-desktop-devel-latest-4.14.100-1.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi dkms-nvidia-current
Package dkms-nvidia-current-390.87-1.mga6.nonfree.x86_64 is already installed
[root@localhost wilcal]# urpmi cpupower
Package cpupower-4.14.100-1.mga6.x86_64 is already installed
[wilcal@localhost ~]$ lspci -k
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 440] (rev a1)
        Subsystem: Gigabyte Technology Co., Ltd Device 3518
        Kernel driver in use: nvidia
        Kernel modules: nvidiafb, nouveau, nvidia_drm, nvidia_current
        
Mageia-7-beta2-Live-Xfce-i586.iso
Still works as a Vbox client. Boots to a working desktop.

Mageia-6.1-LiveDVD-GNOME-x86_64-DVD.iso
Create a Vbox client. Works just fine. Boots to a working desktop.

Mageia-7-beta2-x86_64.iso
Installs as a Vbox client. Boots to a working desktop.
Updates then reboots back to a working desktop.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)

Looks good!
Comment 26 Morgan Leijström 2019-02-16 17:01:03 CET
OK: 64 bit kernel-desktop-4.14.100-1 running on my workstation, with all updates in testing: i7-2600K, Nvidia GTX760 (GK104) using proprietary driver GeForce 420 and later, with CUDA & OpenCL detected OK in BOINC, / & /home & swap in LVM on LUKS on SSD, Plasma5.12 etc, Thunderbird, LibreOffice6, video in Firefox,VirtualBox running MSW7 incl USB2 printer and windows updates,... All I tested on this machine is OK, and I keep using it.
Comment 27 James Kerr 2019-02-16 18:41:42 CET
on mga6-64  kernel-desktop  plasma

packages installed cleanly:
- cpupower-4.14.100-1.mga6.x86_64
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.100-1.mga6.x86_64
- kernel-desktop-latest-4.14.100-1.mga6.x86_64
- kernel-userspace-headers-4.14.100-1.mga6.x86_64
- virtualbox-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6.x86_64
- virtualbox-kernel-desktop-latest-5.2.24-4.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.100-desktop-1.mga6

# dkms status
virtualbox, 5.2.24-1.mga6, 4.14.100-desktop-1.mga6, x86_64: installed 
virtualbox, 5.2.24-1.mga6, 4.14.100-desktop-1.mga6, x86_64: installed-binary from 4.14.100-desktop-1.mga6


vbox and clients launched normally
Updated to 4.14.100-desktop on mga6-64 (plasma) and mga6-32 (plasma) clients - both relaunched normally.
winxp and win7 vbox clients re-launched normally

no regressions noted

OK for mga6-64 on this system:

Machine:   Device: desktop System: Dell product: Precision Tower 3620
           Mobo: Dell model: 09WH54 v: A00 UEFI [Legacy]: Dell v: 2.11.0 
CPU:       Quad core Intel Core i7-6700 (-HT-MCP-)
Graphics:  Card: Intel HD Graphics 530
Comment 28 Brian Rockwell 2019-02-16 21:23:14 CET
MGA6-32

AMD x2-3800, nouveau drivers since nvidia 6150le (304 driver) no longer effective.

The following 4 packages are going to be installed:

- cpupower-4.14.100-1.mga6.i586
- cpupower-devel-4.14.100-1.mga6.i586
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.i586
- kernel-desktop-latest-4.14.100-1.mga6.i586

57MB of additional disk space will be used.


After install and reboot

$ uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 08:58:09 UTC 2019 i686 i686 i686 GNU/Linux


This machine acts as an SMP server, libreoffice working, sound is working.  Working as designed.  No regressions so far.

CC: (none) => brtians1

Comment 29 James Kerr 2019-02-19 16:46:01 CET
On mga6-32   kernel-server  xfce

packages installed cleanly:
- cpupower-4.14.100-1.mga6.i586
- kernel-server-4.14.100-1.mga6-1-1.mga6.i586
- kernel-server-devel-4.14.100-1.mga6-1-1.mga6.i586
- kernel-server-devel-latest-4.14.100-1.mga6.i586
- kernel-server-latest-4.14.100-1.mga6.i586
- kernel-userspace-headers-4.14.100-1.mga6.i586

system re-booted normally:
$ uname -r
4.14.100-server-1.mga6
# dkms status
nvidia-current, 390.87-1.mga6.nonfree, 4.14.100-server-1.mga6, i586: installed

no regressions noted

OK for mga6-32 on this system:

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]
Comment 30 Len Lawrence 2019-02-19 18:06:12 CET
Intel Core i7-4790, GeForce GTX 970

Running fine after reboot.  Stuck with cpupoer and perf from 4.18.20.  Cannot remove without losing task-mate and mate-applet.

30 second stress tests for cpu, io, mem and disk transfers.
Networking.  LAN accessible over SSH.  NFS shares remounted automatically and external USB drive.  Thunderbird, firefox, stellarium, video across LAN to vlc, pulseaudio.  MCC, LO working.  virtualbox launches mga5 i586 client, albeit with nokmsboot and nomodeset options added.

Leaving this to run on QA production machine.
Comment 31 James Kerr 2019-02-20 12:55:04 CET
on mga6-64  kernel-desktop xfce

Machine:   Device: desktop Mobo: ECS model: GeForce7050M-M v: 1.0
CPU:       Quad core AMD Phenom 9500 (-MCP-) cache: 2048 KB 
Graphics:  Card: NVIDIA GK208B [GeForce GT 710]

packages installed cleanly:
- cpupower-4.14.100-1.mga6.x86_64
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-devel-latest-4.14.100-1.mga6.x86_64
- kernel-desktop-latest-4.14.100-1.mga6.x86_64
- kernel-userspace-headers-4.14.100-1.mga6.x86_64

system rebooted normally:
$ uname -r
4.14.100-desktop-1.mga6
# dkms status
nvidia-current, 390.87-1.mga6.nonfree, 4.14.100-desktop-1.mga6, x86_64: installed 

No regressions seen

OK for mga6-64 on this system
Comment 32 James Kerr 2019-02-20 17:03:21 CET
on mga6-64  kernel-desktop  plasma 

Machine:   Device: desktop System: Hewlett-Packard product: CQ2925EA v: 1.00
           Mobo: PEGATRON model: 2AE2 v: 1.02 UEFI: AMI v: 8.08
CPU:       Dual core Intel Pentium G645T (-MCP-)
Graphics:  Card: Intel 2nd Generation Core Processor Family 

packages installed cleanly:
- cpupower-4.14.100-1.mga6.x86_64
- kernel-desktop-4.14.100-1.mga6-1-1.mga6.x86_64
- kernel-desktop-latest-4.14.100-1.mga6.x86_64
 
system rebooted normally:
$ uname -r
4.14.100-desktop-1.mga6

no regressions noted

OK for mga64 on this system
Comment 33 PC LX 2019-02-20 19:47:52 CET
Installed and tested without issue.

Four days on normal workstation usage plus some extra tests. No regressions noticed.

Same system as comment 12.

System: Mageia 6, x86_64, Plasma DE, LXQt, Intel(R) Core(TM)2 Quad CPU Q9400  @ 2.66GHz, nVidia Geforce 210 GPU using nvidia340 proprietary driver.

OK for x86_64 on this system.

$ uname -a
Linux marte 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 09:29:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
$ rpm -qa | egrep '4.14.100|dkms|virtualbox|nvidia' | sort
cpupower-4.14.100-1.mga6
dkms-2.0.19-39.mga6
dkms-minimal-2.0.19-39.mga6
dkms-nvidia340-340.106-1.mga6.nonfree
dkms-virtualbox-5.2.24-1.mga6
kernel-desktop-4.14.100-1.mga6-1-1.mga6
kernel-desktop-devel-4.14.100-1.mga6-1-1.mga6
kernel-desktop-devel-latest-4.14.100-1.mga6
kernel-desktop-latest-4.14.100-1.mga6
kernel-userspace-headers-4.14.100-1.mga6
nvidia340-cuda-opencl-340.106-1.mga6.nonfree
nvidia340-devel-340.106-1.mga6.nonfree
perf-4.14.100-1.mga6
virtualbox-5.2.24-1.mga6
virtualbox-doc-5.2.24-1.mga6
virtualbox-kernel-4.14.100-desktop-1.mga6-5.2.24-4.mga6
virtualbox-kernel-4.14.89-desktop-1.mga6-5.2.24-1.mga6
virtualbox-kernel-4.14.98-desktop-1.mga6-5.2.24-2.mga6
virtualbox-kernel-desktop-latest-5.2.24-4.mga6
x11-driver-video-nvidia340-340.106-1.mga6.nonfree
Comment 34 Thomas Andrews 2019-02-20 21:43:15 CET
Looks like enough tests to me. What do you think, Thomas?
Comment 35 Thomas Backlund 2019-02-20 23:17:08 CET
Yep.

Advisory, added to svn:

type: security
subject: Updated kernel packages fix security vulnerabilities
CVE:
 - CVE-2018-16882
 - CVE-2018-16884
 - CVE-2018-19985
 - CVE-2019-3701
 - CVE-2019-3819
 - CVE-2019-6974
 - CVE-2019-7221
 - CVE-2019-7222
 - 
src:
  6:
   core:
     - kernel-4.14.100-1.mga6
     - kernel-userspace-headers-4.14.100-1.mga6
     - kmod-vboxadditions-5.2.24-4.mga6
     - kmod-virtualbox-5.2.24-4.mga6
     - kmod-xtables-addons-2.13-78.mga6
     - ndiswrapper-1.62-1.mga6
     - wireguard-tools-0.0.20190123-1.mga6
description: |
  This kernel update is based on the upstream 4.14.100 and fixes atleast
  the following security issues:

  A use-after-free issue was found in the way the Linux kernel's KVM
  hypervisor processed posted interrupts when nested(=1) virtualization is
  enabled. In nested_get_vmcs12_pages(), in case of an error while
  processing posted interrupt address, it unmaps the 'pi_desc_page' without
  resetting 'pi_desc' descriptor address, which is later used in
  pi_test_and_clear_on(). A guest user/process could use this flaw to crash
  the host kernel resulting in DoS or potentially gain privileged access to
  a system (CVE-2018-16882).

  A flaw was found in the Linux kernel's NFS41+ subsystem. NFS41+ shares
  mounted in different network namespaces at the same time can make
  bc_svc_process() use wrong back-channel IDs and cause a use-after-free
  vulnerability. Thus a malicious container user can cause a host kernel
  memory corruption and a system panic. Due to the nature of the flaw,
  privilege escalation cannot be fully ruled out (CVE-2018-16884).

  A flaw was found in the Linux kernel in the function hso_probe() which
  reads if_num value from the USB device (as an u8) and uses it without a
  length check to index an array, resulting in an OOB memory read in
  hso_probe() or hso_get_config_data(). An attacker with a forged USB
  device and physical access to a system (needed to connect such a device)
  can cause a system crash and a denial of service (CVE-2018-19985).

  An issue was discovered in can_can_gw_rcv in net/can/gw.c in the Linux
  kernel through 4.19.13. The CAN frame modification rules allow bitwise
  logical operations that can be also applied to the can_dlc field. Because
  of a missing check, the CAN drivers may write arbitrary content beyond
  the data registers in the CAN controller's I/O memory when processing
  can-gw manipulated outgoing frames. This is related to cgw_csum_xor_rel.
  An unprivileged user can trigger a system crash (general protection fault)
  (CVE-2019-3701).

  A flaw was found in the Linux kernel in the function hid_debug_events_read()
  in drivers/hid/hid-debug.c file which may enter an infinite loop with
  certain parameters passed from a userspace. A local privileged user ("root")
  can cause a system lock up and a denial of service (CVE-2019-3819).

  In the Linux kernel before 4.20.8, kvm_ioctl_create_device in
  virt/kvm/kvm_main.c mishandles reference counting because of a race
  condition, leading to a use-after-free (CVE-2019-6974).

  A use-after-free vulnerability was found in the way the Linux kernel's KVM
  hypervisor emulates a preemption timer for L2 guests when nested (=1)
  virtualization is enabled. This high resolution timer(hrtimer) runs when
  a L2 guest is active. After VM exit, the sync_vmcs12() timer object is
  stopped. The use-after-free occurs if the timer object is freed before
  calling sync_vmcs12() routine. A guest user/process could use this flaw
  to crash the host kernel resulting in a denial of service or, potentially,
  gain privileged access to a system (CVE-2019-7221).

  An information leakage issue was found in the way Linux kernel's KVM
  hypervisor handled page fault exceptions while emulating instructions
  like VMXON, VMCLEAR, VMPTRLD, and VMWRITE with memory address as an
  operand. It occurs if the operand is a mmio address, as the returned
  exception object holds uninitialized stack memory contents. A guest
  user/process could use this flaw to leak host's stack memory contents
  to a guest (CVE-2019-7222).

  Other fixes in this update:
  * Ndiswrapper has been updated to 1.62
  * WireGuard has been updated to 0.0.20190123

  For other uptstream fixes in this update, see the referenced changelogs.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=24331
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.90
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.91
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.92
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.93
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.94
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.95
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.96
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.97
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.98
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.99
 - https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.14.100

CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA6-32-OK MGA6-64-OK
Keywords: (none) => advisory, validated_update

Comment 36 Mageia Robot 2019-02-21 00:52:20 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2019-0097.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.